Lets Encrypt

Request the current Let’s Encrypt configuration

GET /api/letsencryptconfiguration

Response

200 — The current Let’s Encrypt configuration for this Octopus Server

  • AcceptLetsEncryptTermsOfService boolean
  • CertificateExpiryDate string
    Format date-time.
  • CertificateThumbprint string
  • DnsName string
  • Enabled boolean
  • HttpsPort integer
  • IPAddress string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Path string
  • RegistrationEmailAddress string

Example Response

JSON
{
  "AcceptLetsEncryptTermsOfService": true,
  "CertificateExpiryDate": "2020-01-01T00:00:00.000Z",
  "CertificateThumbprint": "string",
  "DnsName": "string",
  "Enabled": true,
  "HttpsPort": 0,
  "IPAddress": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Path": "string",
  "RegistrationEmailAddress": "string"
}

Allow you to disable the Let’s Encrypt configuration for this Octopus Server

PUT /api/letsencryptconfiguration

Request Body

  • Enabled boolean (required)

Response

200 — The updated configuration

  • AcceptLetsEncryptTermsOfService boolean
  • CertificateExpiryDate string
    Format date-time.
  • CertificateThumbprint string
  • DnsName string
  • Enabled boolean
  • HttpsPort integer
  • IPAddress string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Path string
  • RegistrationEmailAddress string

Example Request

JSON
{
  "Enabled": true
}

Example Response

JSON
{
  "AcceptLetsEncryptTermsOfService": true,
  "CertificateExpiryDate": "2020-01-01T00:00:00.000Z",
  "CertificateThumbprint": "string",
  "DnsName": "string",
  "Enabled": true,
  "HttpsPort": 0,
  "IPAddress": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Path": "string",
  "RegistrationEmailAddress": "string"
}